summaryrefslogtreecommitdiff
path: root/nonsystemd/rpcbind-openrc/rpcbind.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/rpcbind-openrc/rpcbind.initd')
-rw-r--r--nonsystemd/rpcbind-openrc/rpcbind.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/nonsystemd/rpcbind-openrc/rpcbind.initd b/nonsystemd/rpcbind-openrc/rpcbind.initd
new file mode 100644
index 000000000..5c7b0ac57
--- /dev/null
+++ b/nonsystemd/rpcbind-openrc/rpcbind.initd
@@ -0,0 +1,21 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use net
+ before inetd xinetd
+ provide portmap
+}
+
+start() {
+ ebegin "Starting rpcbind"
+ start-stop-daemon --start --quiet --exec /usr/bin/rpcbind -- ${RPCBIND_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping rpcbind"
+ start-stop-daemon --stop --quiet --exec /usr/bin/rpcbind
+ eend $?
+}